LibreOffice LibreOffice 7.2 SDK API Reference

Variables
com::sun::star::chart::ChartSymbolType Constant Group Referencepublished

These values specify the type of the symbol used for data points. More...

## Variables
const long | NONE = -3
| No symbol is used. More...
const long | AUTO = -2
| The symbol is selected automatically. More...
const long | BITMAPURL = -1
| Take a Bitmap from a URL and use this as symbol. More...
const long | SYMBOL0 = 0
| The default symbol for row 0 is used. More...
const long | SYMBOL1 = 1
| The default symbol for row 1 is used. More...
const long | SYMBOL2 = 2
| The default symbol for row 2 is used. More...
const long | SYMBOL3 = 3
| The default symbol for row 3 is used. More...
const long | SYMBOL4 = 4
| The default symbol for row 4 is used. More...
const long | SYMBOL5 = 5
| The default symbol for row 5 is used. More...
const long | SYMBOL6 = 6
| The default symbol for row 6 is used. More...
const long | SYMBOL7 = 7
| The default symbol for row 7 is used. More...

## Detailed Description

These values specify the type of the symbol used for data points.

This only applies to diagrams that use symbols like line diagrams.

The default symbols are currently:

Symbol 0 | a square
Symbol 1 | a diamond
Symbol 2 | a triangle pointing down
Symbol 3 | a triangle pointing up
Symbol 4 | a triangle pointing right
Symbol 5 | a triangle pointing left
Symbol 6 | a bow tie
Symbol 7 | a rotated bow tie

See also
  LineDiagram
  ChartDataPointProperties

## Variable Documentation

## ◆ AUTO

const long AUTO = -2

The symbol is selected automatically.

The size of symbol will be dynamic and the type depends on the data row number.

## ◆ BITMAPURL

const long BITMAPURL = -1

Take a Bitmap from a URL and use this as symbol.

The bitmap given by the URL set in the property ChartDataPointProperties::SymbolBitmapURL is copied so that the graphic is embedded.

See also
  ChartDataPointProperties

## ◆ NONE

const long NONE = -3

No symbol is used.

## ◆ SYMBOL0

const long SYMBOL0 = 0

The default symbol for row 0 is used.

## ◆ SYMBOL1

const long SYMBOL1 = 1

The default symbol for row 1 is used.

## ◆ SYMBOL2

const long SYMBOL2 = 2

The default symbol for row 2 is used.

## ◆ SYMBOL3

const long SYMBOL3 = 3

The default symbol for row 3 is used.

## ◆ SYMBOL4

const long SYMBOL4 = 4

The default symbol for row 4 is used.

## ◆ SYMBOL5

const long SYMBOL5 = 5

The default symbol for row 5 is used.

## ◆ SYMBOL6

const long SYMBOL6 = 6

The default symbol for row 6 is used.

## ◆ SYMBOL7

const long SYMBOL7 = 7

The default symbol for row 7 is used.